List carousel themes
curl --request GET \
--url https://fwpvfpysaskvlxgwcaxk.supabase.co/functions/v1/api-v1/carousel-themes \
--header 'Authorization: Bearer <token>'import requests
url = "https://fwpvfpysaskvlxgwcaxk.supabase.co/functions/v1/api-v1/carousel-themes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://fwpvfpysaskvlxgwcaxk.supabase.co/functions/v1/api-v1/carousel-themes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://fwpvfpysaskvlxgwcaxk.supabase.co/functions/v1/api-v1/carousel-themes",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://fwpvfpysaskvlxgwcaxk.supabase.co/functions/v1/api-v1/carousel-themes"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://fwpvfpysaskvlxgwcaxk.supabase.co/functions/v1/api-v1/carousel-themes")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://fwpvfpysaskvlxgwcaxk.supabase.co/functions/v1/api-v1/carousel-themes")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodyAPI Reference
List carousel themes
The carousel themes Pekto can use, with their ids for the template_family field of POST /presentations. Requires templates:read.
GET
/
carousel-themes
List carousel themes
curl --request GET \
--url https://fwpvfpysaskvlxgwcaxk.supabase.co/functions/v1/api-v1/carousel-themes \
--header 'Authorization: Bearer <token>'import requests
url = "https://fwpvfpysaskvlxgwcaxk.supabase.co/functions/v1/api-v1/carousel-themes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://fwpvfpysaskvlxgwcaxk.supabase.co/functions/v1/api-v1/carousel-themes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://fwpvfpysaskvlxgwcaxk.supabase.co/functions/v1/api-v1/carousel-themes",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://fwpvfpysaskvlxgwcaxk.supabase.co/functions/v1/api-v1/carousel-themes"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://fwpvfpysaskvlxgwcaxk.supabase.co/functions/v1/api-v1/carousel-themes")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://fwpvfpysaskvlxgwcaxk.supabase.co/functions/v1/api-v1/carousel-themes")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodyAuthorizations
Pekto API key (pekto_live_...), an OAuth 2.1 access token from Pekto sign-in (used by MCP clients), or a Pekto user session token.
Response
200
Array of carousel themes: id, name, description, layoutCount

